Subject: Re: [mpls] working group last callfordraft-ietf-mpls-number-0-bw-te-lsps

From: JP Vasseur <[email-masked]>
Date: Wed, 06 Feb 2008 15:30:48 -0500

Hi Adrian,

> From: Adrian Farrel <[email-masked]>
> Reply-To: Adrian Farrel <[email-masked]>
> Date: Thu, 10 Jan 2008 10:17:13 -0000
> To: 'Jean Philippe Vasseur' <[email-masked]>
> Cc: <[email-masked]>
> Subject: Re: [mpls] working group last
> callfordraft-ietf-mpls-number-0-bw-te-lsps
> 
> Hi,
> 
> I have been very tardy, so none of my notes below should be considered
> blocking on my account, nor even a request for a change.

Good timing. The current revision addresses all comments received during LC,
the next one will take yours into account.

See below,

> 
> You may want to consider them for any future revision.
> 
> Cheers,
> Adrian
> 
>>> Abstract
>>> s/carried onto/carried by/
>>> s/referred to as unconstrained TE LSP/referred to as unconstrained TE
>>> LSPs/
> ===
> Section 2
> 
> s/Label Switched Path(s) (TE LSP)/Label Switched Paths (TE LSPs)/
> s/assumption about/assumptions about/
> s/(Label Switching Router)/(Label Switching Routers)/
> ===

Done.

> Section 2
> 
>    Unconstrained TE LSPs that are configured and provisioned through a
>    management system MAY not be included in the count that is reported.
> 
> The use of "MAY not" is ambiguous. People will be unclear whether you
> actually mean "MAY NOT".
> 
> I think you want...
> 
>    Unconstrained TE LSPs that are configured and provisioned through a
>    management system MAY be omitted from the count that is reported.

Agree, there is no ambiguity with that wording. Changed.

> ===
>>> Section 2
>>>  "Furthermore, the knowledge of the number of unconstrained TE LSPs
>>>   signalled across each link can be used for other purposes (for
>>>   example to evaluate the number of affected TE LSPs in case of a link
>>>   failure)."
>>> Wouldn't this function be better if we knew the actual number of TE LSPs
>>> on a link rather than only the number of zero bandwidth TE LSPs? Since we
>>> don't propose an extension that simply counts the number of TE LSPs,
>>> perhaps it would be simpler to delete this paragraph.
> 
>> JP> Well for the number of deployed networks with 0-bw TE LSPs used for
>> FRR
>> purposes, it might still be useful to know the number of 0-bw TE LSPs.
> 
> Then you probably want...
> 
>    Furthermore, the knowledge of the number of unconstrained TE LSPs
>    signalled across each link can be used for other purposes (for
>    example to evaluate the number of affected unconstrained TE LSPs in
>    case of a link failure).

Done.

> ===
> Section 3
> s/The Number of 0-bandwidth TE LSP(s) Sub-TLV is defined/The Unconstrained
> TE LSP Count Sub-TLV is defined/

Done. 

> ===
> Section 3.2
> s/If a second instance of the Number of 0-bandwidth TE LSP(s) sub-TLV is
> present/If a second instance of the Unconstrained TE LSP Count Sub-TLV is
> present/

Done + also added to the section 3.1

> ===
>>> Section 6
>>> Is finger really the right protocol to reference for ISIS security?
> 
> Are you still *really* sure you want to reference RFC 1194? Don't you mean
> RFC 1195?

;-) Good Catch, Thanks.

Cheers.

JP.

_______________________________________________
mpls mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/mpls